<?php

namespace Ebuy\Deal\Forms;

use Litepie\Form\FormInterpreter;

class Deal extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('deal/deal/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('deal/deal/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('deal/deal'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('deal/deal'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('deal/deal'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('deal/deal'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('deal::deal.label.name'),
                "placeholder" => trans('deal::deal.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$groups = [
            'main' => trans('deal::deal.groups.main'),
            'details' => trans('deal::deal.groups.details'),
            'images' => trans('deal::deal.groups.images'),
            'settings' => trans('deal::deal.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('deal::deal.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('deal::deal.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('deal::deal.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('deal::deal.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'product_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('deal::deal.label.product_id'),
                "placeholder" => trans('deal::deal.placeholder.product_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'category_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('deal::deal.label.category_id'),
                "placeholder" => trans('deal::deal.placeholder.category_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'title' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('deal::deal.label.title'),
                "placeholder" => trans('deal::deal.placeholder.title'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'subtitle' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('deal::deal.label.subtitle'),
                "placeholder" => trans('deal::deal.placeholder.subtitle'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'start_date' => [
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => trans('deal::deal.label.start_date'),
                "placeholder" => trans('deal::deal.placeholder.start_date'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'end_date' => [
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => trans('deal::deal.label.end_date'),
                "placeholder" => trans('deal::deal.placeholder.end_date'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'type' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('deal::deal.label.type'),
                "placeholder" => trans('deal::deal.placeholder.type'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'value' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => trans('deal::deal.label.value'),
                "placeholder" => trans('deal::deal.placeholder.value'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'image' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('deal::deal.label.image'),
                "placeholder" => trans('deal::deal.placeholder.image'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
