<?php

namespace Ebuy\Deal\Repositories\Eloquent;

use Ebuy\Deal\Interfaces\DealRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Ebuy\Deal\Repositories\Eloquent\Presenters\DealItemPresenter;


class DealRepository extends BaseRepository implements DealRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('ebuy.deal.deal.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('ebuy.deal.deal.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return DealItemPresenter::class;
    }
}
