<?php

namespace Ebuy\Deal\Repositories\Eloquent\Presenters;

use Litepie\Repository\Presenter\Presenter;

class DealItemPresenter extends Presenter
{

    public function itemLink()
    {
        return guard_url('deal/deal') . '/' . $this->getRouteKey();
    }

    public function title()
    {
        if ($this->title != '') {
            return $this->title;
        }

        if ($this->name != '') {
            return $this->name;
        }

        return 'None';
    }

    public function toArray()
    {
        return [
            'id' => $this->getRouteKey(),
            'title' => $this->title(),
            'product_id' => $this->product_id,
            'category_id' => $this->category_id,
            'title' => $this->title,
            'subtitle' => $this->subtitle,
            'start_date' => $this->start_date,
            'end_date' => $this->end_date,
            'type' => $this->type,
            'value' => $this->value,
            'image' => $this->image,
            'created_at' => !is_null($this->created_at) ? $this->created_at->format('Y-m-d H:i:s') : null,
            'updated_at' => !is_null($this->updated_at) ? $this->updated_at->format('Y-m-d H:i:s') : null,
            'meta' => [
                'exists' => $this->exists(),
                'link' => $this->itemLink(),
                'upload_url' => $this->getUploadURL(''),
            ],
        ];
    }
}
